#!/bin/bash

HOME=/home/coder

sudo apt-get install software-properties-common
sudo add-apt-repository -y ppa:neovim-ppa/unstable
sudo apt update
sudo apt-get install -y libncurses5-dev neovim
sudo apt-get install -y build-essential zlib1g-dev libffi-dev libssl-dev libbz2-dev libreadline-dev libsqlite3-dev liblzma-dev
sudo apt-get install -y git-lfs

curl https://sh.rustup.rs -sSf | sh

sudo curl https://pyenv.run | bash

ln -s $(pwd)/home/config/nvim /home/coder/.config/nvim
ln -s $(pwd)/home/bin /home/coder/bin
ln -s $(pwd)/home/gitconfig /home/coder/.gitconfig
ln -s $(pwd)/home/shell_aliases /home/coder/.shell_aliases
ln -s $(pwd)/home/shell_funcs /home/coder/.shell_funcs
#ln -s home/zshrc /home/coder/.zshrc
#
echo 'export PYENV_ROOT="/home/coder/.pyenv"' >> /home/coder/.bashrc
echo '[[ -d $PYENV_ROOT/bin ]] && export PATH="$PYENV_ROOT/bin:$PATH"' >> /home/coder/.bashrc
echo 'eval "$(pyenv init -)"' >> /home/coder/.bashrc

export PYENV_ROOT="$HOME/.pyenv"
[[ -d $PYENV_ROOT/bin ]] && export PATH="$PYENV_ROOT/bin:$PATH"
eval "$(pyenv init -)"

pyenv install 3.10.13
pyenv global 3.10.13
pip install neovim
